Bug 1148071 - Installation destination screen turns black when disk is selected
Summary: Installation destination screen turns black when disk is selected
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F21PPCFinal
TreeView+ depends on / blocked
 
Reported: 2014-09-30 15:56 UTC by Mark Hamzy
Modified: 2014-11-26 10:00 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-15 01:42:27 UTC


Attachments (Terms of Use)
screenshot (63.94 KB, image/png)
2014-09-30 15:56 UTC, Mark Hamzy
no flags Details

Description Mark Hamzy 2014-09-30 15:56:33 UTC
Created attachment 942786 [details]
screenshot

Description of problem:

Installing with http://ppc.koji.fedoraproject.org/stage/21_Alpha_TC4/Server/ppc64le/iso/Fedora-Server-DVD-ppc64le-21_Alpha_TC4.iso

When navigating to the "Installation Destination" screen and there are multiple disks on the system, then, when one is selected, a large section of the screen turns black.  Hitting the <Alt> key will show the text, but the screen is still corrupted.

Version-Release number of selected component (if applicable):
anaconda 21.48.6-1

How reproducible:
Always

Comment 1 Brian Lane 2014-10-01 00:45:40 UTC
What version of anaconda, gtk, xvnc, etc. was this composed with? Do you have the compose logs?

Comment 3 David Shea 2014-10-13 13:45:52 UTC
Something isn't redrawing the screen right, so this is either a problem with gtk or the VNC client.

Comment 4 Matthias Clasen 2014-10-16 15:31:24 UTC
Are you still seeing this with gtk3 3.14.1 or newer ?

Comment 6 Matthias Clasen 2014-11-15 01:42:27 UTC
This is fixed in pixman-0.32.6-4.fc21

Comment 7 Michel Normand 2014-11-26 10:00:41 UTC
only for information:
The fix in comment 6 is a bypass, it has been validated with fc21 pre-GA TC1
The bypass avoid the problem tracked by bug 1162738.


Note You need to log in before you can comment on or make changes to this bug.